Skip to main content
GET
/
v1
/
authorization
/
permissions
Get Rbac Permissions
curl --request GET \
  --url https://app.untetherlabs.com/api/v1/authorization/permissions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "action": "create",
    "subject": "AutoSchedulerJob",
    "inverted": true,
    "errorMessage": "<string>",
    "createdAt": "2024-11-20T07:43:34+0000",
    "conditions": "<unknown>"
  }
]
This is a beta endpoint. Breaking changes may occur without notice, use at your own risk.
Get all RBAC permissions for the company

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

id
string<uuid>
required
action
enum<string>
required
Available options:
create,
view,
edit,
approve,
sign_off,
manage
subject
enum<string>
required
Available options:
AutoSchedulerJob,
BalanceReset,
DemandForecast,
Provider,
Report,
Shift,
Team,
Timecard,
TimeOffRequest,
TimeOffPolicy,
Timesheet
inverted
boolean
required
errorMessage
string | null
required
createdAt
string
required
Example:

"2024-11-20T07:43:34+0000"

conditions
any